Kirjoittaja Aihe: hplip asentuu.. ei asennu.. asentuu..[Ratkaistu]  (Luettu 4000 kertaa)

Leko

  • Käyttäjä
  • Viestejä: 329
    • Profiili
    • taistop.kapsi.fi
Kyllä tämä taas hämmästyttää, kummastuttaa pientä kulkijaa.

Skripti imuroitu. Parissa koneessa se on toiminut kuten pitää. Nyt tuli eteen yksi masina jossa komento
Koodia: [Valitse]
sh hplip-3.21.12.runsaa aikaan kauniin liikkeellelähdön, mutta riippumatta siitä, millä oikeudella komento annetaan, ja mitä esille tuleviin kysymyksiin vastaan, prosessi pysähtyy kohtaan:
Koodia: [Valitse]
RUNNING PRE-INSTALL COMMANDS
----------------------------
OK

RUNNING HPLIP LIBS REMOVE COMMANDS
----------------------------------
sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp
eikä asia siitä etene.

Vielä sanon, että kyse on ainoastaan eläkeläisen harrastuksesta ja leikistä, mutta kun vähän kiinnostaa, luovunko  tämän masiinan liittämisestä yhteiseen printteriin, vai selviääkö, mikä on nyt tämän asian tausta. On siellä niitä nyt jo niin, että toimeen tullaan. Ja vaikka asia ei tähän kuulukaan, koneet jotka olen saanut tähän Intenoruutterin printeriin liitettyä, pyörivät cupsin komennolla socket://192.168.1.1:9100

« Viimeksi muokattu: 28.12.21 - klo:16.49 kirjoittanut Leko »

ubpappa

  • Käyttäjä
  • Viestejä: 1460
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..
« Vastaus #1 : 26.12.21 - klo:18.09 »
Minulla 2 hp:n mustesuihkua ja samat ongelmat. Nykyään jos
tulostin yrittää urputta, piostan kaikki ja laitan hakemaan ajurit
uudelleen niin kauan että tunnistaa sen itse,,,kaikki ohjaimet pois
tulostin päälle/haku uusi tulostin ja vasta kun tunnistuu otat
käyttöön  ;D
xubuntu 18;rasberry
acer aspire XC,näyttönä Toshiba tv ja vga päte...
Ymmärtää epätäydellisesti vain
suomea...;)

Jos tiedät vastaa, jos luulet tietäväsi vastaa.
Jos et tiedä/ymmärrä...älä vastaa.vanhuus tullee muillennii :))

nm

  • Käyttäjä
  • Viestejä: 16292
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..
« Vastaus #2 : 27.12.21 - klo:00.31 »
Kyllä tämä taas hämmästyttää, kummastuttaa pientä kulkijaa.

Skripti imuroitu. Parissa koneessa se on toiminut kuten pitää. Nyt tuli eteen yksi masina jossa komento
Koodia: [Valitse]
sh hplip-3.21.12.runsaa aikaan kauniin liikkeellelähdön, mutta riippumatta siitä, millä oikeudella komento annetaan, ja mitä esille tuleviin kysymyksiin vastaan, prosessi pysähtyy kohtaan:
Koodia: [Valitse]
RUNNING PRE-INSTALL COMMANDS
----------------------------
OK

RUNNING HPLIP LIBS REMOVE COMMANDS
----------------------------------
sudo apt-get remove libhpmud0 libsane-hpaio printer-driver-postscript-hp
eikä asia siitä etene.

No oletko kokeillut ajaa tuon poistokomennon manuaalisesti? Ehkä se jää jumiin johonkin pakettien väliseen ristiriitaan?

Mikä on tulostimen tarkka malli ja mikä jakelu on kyseessä?

Leko

  • Käyttäjä
  • Viestejä: 329
    • Profiili
    • taistop.kapsi.fi
Vs: hplip asentuu.. ei asennu.. asentuu..
« Vastaus #3 : 27.12.21 - klo:18.49 »
Neuvosi oli hyvä. Yksittäinen manuaalinen komento auttoi eteenpäin. Homma pysähtyi kuitenkin myöhemmin näin:

Koodia: [Valitse]
error: Command failed. Re-try #3...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
[color=red]error: Package install command failed with error code 100[/color]
Would you like to retry installing the missing package(s) (y=yes*, n=no, q=quit) ? y
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
[color=red]error: Package install command failed with error code 100[/color]

HP LaserJet m14-m17
Ubuntu 20.04.3 LTS

Lisäys: Juuri löysin
 https://askubuntu.com/questions/1246680/some-python-packages-could-not-be-installed-during-hplip-3-20-5-installing-on-ub
Ryhdyn lukemaan..

Seuraava lisäys: Kertalukemalla neuvot eivät olleet minulle selvät. Pythonista tietysti on kyse. Joku taisi vaihtaa Ubuntun version vanhempaan, toinen räpläsi käärmeenpesää.
nm, voisitko kiireiltäsi vihjaista lyhyemmin, mitä suosittelet tehtäväksi, vai annetaanko olla.

« Viimeksi muokattu: 27.12.21 - klo:19.40 kirjoittanut Leko »

nm

  • Käyttäjä
  • Viestejä: 16292
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..
« Vastaus #4 : 28.12.21 - klo:00.43 »
HP LaserJet m14-m17
Ubuntu 20.04.3 LTS

Noille Laserjet-malleille on tuki HPLIP 3.18.4:stä lähtien, ja Ubuntu 20.04:ssä on HPLIP 3.20.3. Voit siis käyttää tulostinta suoraan Ubuntun sovelluslähteistä saatavalla ajurilla, joka on normaalisti järjestelmässä valmiiksi asennettuna.

Lisäksi voi asentaa paketin hplip-gui, jos tulostimen käyttöönotossa on jotain ongelmaa tavallisten tulostusasetusten kautta. Paketti sisältää HP Device Manager -sovelluksen, jolla voi hallita HP:n tulostimia.

Koodia: [Valitse]
sudo apt install hplip-gui

Neuvosi oli hyvä. Yksittäinen manuaalinen komento auttoi eteenpäin. Homma pysähtyi kuitenkin myöhemmin näin:

Koodia: [Valitse]
error: Command failed. Re-try #3...
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
[color=red]error: Package install command failed with error code 100[/color]
Would you like to retry installing the missing package(s) (y=yes*, n=no, q=quit) ? y
Running 'sudo apt-get install --assume-yes python-pyqt5'
Please wait, this may take several minutes...
[color=red]error: Package install command failed with error code 100[/color]

Näemmä HPLIPin asennusskripti ei ole joissain tilanteissa täysin yhteensopiva Ubuntun nykyisen Python-paketoinnin kanssa. Ongelmana lienee python-komennon linkitys Python 2.7:ään, joka sekoittaa asennusskriptin toimintaa.

Jos haluat välttämättä asentaa tuon HPLIP-version Ubuntun tarjoaman version sijaan, kannattaa kokeilla tämän ohjeen neuvoja: https://ubuntuhandbook.org/index.php/2021/07/install-latest-hplip-ubuntu-20-04-fix/amp/

« Viimeksi muokattu: 28.12.21 - klo:00.46 kirjoittanut nm »

AimoE

  • Käyttäjä
  • Viestejä: 2732
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..
« Vastaus #5 : 28.12.21 - klo:06.51 »
HP LaserJet m14-m17
Ubuntu 20.04.3 LTS

Noille Laserjet-malleille on tuki HPLIP 3.18.4:stä lähtien, ja Ubuntu 20.04:ssä on HPLIP 3.20.3. Voit siis käyttää tulostinta suoraan Ubuntun sovelluslähteistä saatavalla ajurilla, joka on normaalisti järjestelmässä valmiiksi asennettuna.

Pelkkään tulostamiseen Ubuntun mukana tuleva ajuri riittää, mutta jos tulostin on skannaava, niin skannausta varten käsittääkseni tarvitaan hplip.

Leko

  • Käyttäjä
  • Viestejä: 329
    • Profiili
    • taistop.kapsi.fi
Vs: hplip asentuu.. ei asennu.. asentuu..[Ratkaistu]
« Vastaus #6 : 28.12.21 - klo:16.54 »
Merkitsin ratkaistuksi. Asiallisesti ottaen merkintä on vain osittain oikein. Kävi niin, että kaikesta sevittely-yrityksestä huolimatta en U 20 käyttiksellä onnistunut. Päivitin U 21:een ja sillä lähti.

Toivon pitkää pinnaa ja isoa ammattitaitoa heille, jotka yrittävät liittää HooPeen tulostinta Ubuntu 20 käyttiksiin.

Ja kiitos projektissa mukana olleille!

ubpappa

  • Käyttäjä
  • Viestejä: 1460
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..[Ratkaistu]
« Vastaus #7 : 28.12.21 - klo:23.08 »
Lainaus
Lainaus käyttäjältä: Leko - 2021-12-27, 17:49:36

    HP LaserJet m14-m17
    Ubuntu 20.04.3 LTS


Noille Laserjet-malleille on tuki HPLIP 3.18.4:stä lähtien, ja Ubuntu 20.04:ssä on HPLIP 3.20.3. Voit siis käyttää tulostinta suoraan Ubuntun sovelluslähteistä saatavalla ajurilla, joka on normaalisti järjestelmässä valmiiksi asennettuna.

Lisäksi voi asentaa paketin hplip-gui, jos tulostimen käyttöönotossa on jotain ongelmaa tavallisten tulostusasetusten kautta. Paketti sisältää HP Device Manager -sovelluksen, jolla voi hallita HP:n tulostimia.
Minullakin {xubuntu 20 lts) tuli em  ongelma, eikä tulostin meinaa ollenkaan löytyä.
Kannattaisiko tuota kokeilla, kun skannauskin pittäi saada toimimaan ???
xubuntu 18;rasberry
acer aspire XC,näyttönä Toshiba tv ja vga päte...
Ymmärtää epätäydellisesti vain
suomea...;)

Jos tiedät vastaa, jos luulet tietäväsi vastaa.
Jos et tiedä/ymmärrä...älä vastaa.vanhuus tullee muillennii :))

nm

  • Käyttäjä
  • Viestejä: 16292
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..
« Vastaus #8 : 29.12.21 - klo:08.23 »
Pelkkään tulostamiseen Ubuntun mukana tuleva ajuri riittää, mutta jos tulostin on skannaava, niin skannausta varten käsittääkseni tarvitaan hplip.

Ubuntun mukana tuleva ajuri on Canonicalin paketoima hplip, ja skannaus toimii sillä. MFP-skanneriajurit sijaitsevat paketissa libsane-hpaio, joka sekin sisältyy oletuksena työpöytäasennukseen.


Minullakin {xubuntu 20 lts) tuli em  ongelma, eikä tulostin meinaa ollenkaan löytyä.
Kannattaisiko tuota kokeilla, kun skannauskin pittäi saada toimimaan ???

Asenna paketti hplip-gui ja kokeile lisätä tulostin järjestelmään HP Device Managerin (HPLIP Toolbox) kautta.

Koodia: [Valitse]
sudo apt install hplip-gui

Toivon pitkää pinnaa ja isoa ammattitaitoa heille, jotka yrittävät liittää HooPeen tulostinta Ubuntu 20 käyttiksiin.

Oman kokemukseni perusteella HP:n tulostimet toimivat Ubuntussa erittäin helposti silloin, kun jakelun oma HPLIP-versio on riittävän uusi tukeakseen tulostinta.
« Viimeksi muokattu: 29.12.21 - klo:08.25 kirjoittanut nm »

hetvik

  • Käyttäjä
  • Viestejä: 7
    • Profiili
Vs: hplip asentuu.. ei asennu.. asentuu..[Ratkaistu]
« Vastaus #9 : 18.11.22 - klo:22.25 »
Kiitoksia nm:lle

HP 1020 rupesi toimimaan hp-gui:n avulla. Sillä sain ladattua kirjoittimen softan. Distro on kubuntu 22.04. "Järmestelmä" tunnisti kyllä printterin, muttei osaa/tajua (vai olenko minä mokannut jotain asennusvaiheessa) sitä softajuttua, mitä HP 1020 vaatii.

Terveisin Markku